Bug 87239 - Update port: audio/jack update to current version
Summary: Update port: audio/jack update to current version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-11 05:10 UTC by bitbucket63-it
Modified: 2005-10-26 13:05 UTC (History)
0 users

See Also:


Attachments
jack-100.diff (7.68 KB, patch)
2005-10-14 13:19 UTC, bitbucket63-it
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bitbucket63-it 2005-10-11 05:10:18 UTC
The jack audio server has been updated to version 0.100.0

It seems to not work just as good as the last version. I'm still trying to figure out how it can be used. But here's the latest version anyway.
Comment 1 bitbucket63-it 2005-10-11 12:36:54 UTC
Oops! I forgot this part:

>Fix:
# This is a shell archive.  Save it in a file, remove
anything before
# this line, and then unpack it by entering "sh file".
 Note, it may
# create directories; files and directories will be
owned by you and
# have default permissions.
#
# This archive contains:
#
#	jack
#	jack/Makefile
#	jack/distinfo
#	jack/pkg-descr
#	jack/pkg-plist
#	jack/files
#	jack/files/patch-drivers-oss-oss_driver.c
#	jack/files/patch-jack.h
#	jack/files/patch-jack.pc.in
#
echo c - jack
mkdir -p jack > /dev/null 2>&1
echo x - jack/Makefile
sed 's/^X//' >jack/Makefile << 'END-of-jack/Makefile'
X# New ports collection Makefile for: 	jackit
X# Date created:			14 May 2002
X# Whom:				arved
X#
X# $FreeBSD: ports/audio/jack/Makefile,v 1.20
2005/04/12 18:05:21 lofi Exp $
X
XPORTNAME=		jackit
XPORTVERSION=		0.100.0
XCATEGORIES=		audio
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	jackit
XDISTNAME=		jack-audio-connection-kit-${PORTVERSION}
X
XMAINTAINER=		ports@FreeBSD.org
XCOMMENT=		A low-latency audio server
X
XLIB_DEPENDS=		portaudio.0:${PORTSDIR}/audio/portaudio
\
X			sndfile.1:${PORTSDIR}/audio/libsndfile
X
XOPTIONS=		DOCS "Build HTML documentation. Requires
doxygen/TeX." off
X
XLATEST_LINK=		jack
XCONFIGURE_ENV=		LIBS="${PTHREAD_LIBS}"
LDFLAGS="-L${LOCALBASE}/lib" \
X			CPPFLAGS="-I${LOCALBASE}/include" \
X			CFLAGS="${CFLAGS} ${PTHREAD_CFLAGS}"
XUSE_LIBTOOL_VER=	15
XUSE_GETOPT_LONG=	yes
XUSE_REINPLACE=		yes
XINSTALLS_SHLIB=		yes
XUSE_GNOME=		pkgconfig gnometarget gnomehack
XONLY_FOR_ARCHS=		i386 amd64
X
XMAN1=	jackd.1 jackstart.1
X
X.include <bsd.port.pre.mk>
X
X.if exists(${LOCALBASE}/bin/doxygen)
X.	if !defined(WITH_GNOKII)
XDOCS_OVERRIDE=	yes
XWITH_DOCS=	yes
X.	endif
X.endif
X
X.if defined(WITH_DOCS) || defined(PACKAGE_BUILDING)
XBUILD_DEPENDS+=		doxygen:${PORTSDIR}/devel/doxygen
XPLIST_SUB+=		DOCS=""
X.elif defined(WITHOUT_DOCS)
XCONFIGURE_ENV+=		ac_cv_prog_HAVE_DOXYGEN="false"
XPLIST_SUB+=		DOCS="@comment "
X.endif
X
X.if (${OSVERSION} > 500000 ) && (${OSVERSION} <
502102 )
XBROKEN=		"Does not compile"
X.endif
X
Xpre-everything::
X.if defined(DOCS_OVERRIDE)
X	@${ECHO_MSG}
X	@${ECHO_MSG}
"**********************************************************"
X	@${ECHO_MSG} "* Doxygen has been detected,
documentation will be built *"
X	@${ECHO_MSG}
"**********************************************************"
X	@${ECHO_MSG}
X.endif
X
Xpost-patch:
X	${REINPLACE_CMD} -e "s,-lpthread,${PTHREAD_LIBS}," 
\
X		${WRKSRC}/configure ${WRKSRC}/libjack/Makefile.in \
X		${WRKSRC}/jackd/Makefile.in \
X		${WRKSRC}/example-clients/Makefile.in
${WRKSRC}/jack.pc.in
X	${REINPLACE_CMD} -e "s,-lrt,,"
${WRKSRC}/libjack/Makefile.in \
X		${WRKSRC}/jackd/Makefile.in \
X		${WRKSRC}/example-clients/Makefile.in
X	${REINPLACE_CMD} -e "s,-ldl,,"
${WRKSRC}/jackd/Makefile.in \
X		${WRKSRC}/example-clients/Makefile.in
X
X.include <bsd.port.post.mk>
END-of-jack/Makefile
echo x - jack/distinfo
sed 's/^X//' >jack/distinfo << 'END-of-jack/distinfo'
XMD5 (jack-audio-connection-kit-0.100.0.tar.gz) =
dc28b3e8a663c090227e83be6fc1f2d4
END-of-jack/distinfo
echo x - jack/pkg-descr
sed 's/^X//' >jack/pkg-descr <<
'END-of-jack/pkg-descr'
XJACK is a low-latency audio server, written for POSIX
conformant 
Xoperating systems. It can connect a number of
different applications 
Xto an audio device, as well as allowing them to share
audio between 
Xthemselves. Its clients can run in their own
processes (ie. as normal 
Xapplications), or can they can run within the JACK
server (ie. as a 
X"plugin"). 
X
XJACK was designed from the ground up for professional
audio work, and 
Xits design focuses on two key areas: synchronous
execution of all 
Xclients, and low latency operation. 
X
XWWW:	http://jackit.sourceforge.net/
XAuthor:	Paul Davis
END-of-jack/pkg-descr
echo x - jack/pkg-plist
sed 's/^X//' >jack/pkg-plist <<
'END-of-jack/pkg-plist'
Xbin/jack_bufsize
Xbin/jack_connect
Xbin/jack_disconnect
Xbin/jack_freewheel
Xbin/jack_impulse_grabber
Xbin/jack_load
Xbin/jack_lsp
Xbin/jack_metro
Xbin/jack_monitor_client
Xbin/jack_showtime
Xbin/jack_simple_client
Xbin/jack_transport
Xbin/jack_unload
Xbin/jackd
Xbin/jackrec
Xinclude/jack/intclient.h
Xinclude/jack/jack.h
Xinclude/jack/ringbuffer.h
Xinclude/jack/statistics.h
Xinclude/jack/thread.h
Xinclude/jack/timestamps.h
Xinclude/jack/transport.h
Xinclude/jack/types.h
Xlib/jack/inprocess.so
Xlib/jack/intime.so
Xlib/jack/jack_dummy.so
Xlib/jack/jack_oss.so
Xlib/jack/jack_portaudio.so
Xlib/libjack.a
Xlib/libjack.so
Xlib/libjack.so.0
Xlibdata/pkgconfig/jack.pc
Xshare/jack-audio-connection-kit/reference/html/annotated.html
Xshare/jack-audio-connection-kit/reference/html/deprecated.html
Xshare/jack-audio-connection-kit/reference/html/dir_000000.html
Xshare/jack-audio-connection-kit/reference/html/dir_000001.html
Xshare/jack-audio-connection-kit/reference/html/dirs.html
Xshare/jack-audio-connection-kit/reference/html/doxygen.css
Xshare/jack-audio-connection-kit/reference/html/doxygen.png
Xshare/jack-audio-connection-kit/reference/html/files.html
Xshare/jack-audio-connection-kit/reference/html/fsm.png
Xshare/jack-audio-connection-kit/reference/html/functions.html
Xshare/jack-audio-connection-kit/reference/html/functions_rela.html
Xshare/jack-audio-connection-kit/reference/html/functions_vars.html
Xshare/jack-audio-connection-kit/reference/html/globals.html
Xshare/jack-audio-connection-kit/reference/html/globals_defs.html
Xshare/jack-audio-connection-kit/reference/html/globals_enum.html
Xshare/jack-audio-connection-kit/reference/html/globals_eval.html
Xshare/jack-audio-connection-kit/reference/html/globals_func.html
Xshare/jack-audio-connection-kit/reference/html/globals_type.html
Xshare/jack-audio-connection-kit/reference/html/globals_vars.html
Xshare/jack-audio-connection-kit/reference/html/index.html
Xshare/jack-audio-connection-kit/reference/html/inprocess_8c.html
Xshare/jack-audio-connection-kit/reference/html/intclient_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/intclient_8h.html
Xshare/jack-audio-connection-kit/reference/html/jack_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/jack_8h.html
Xshare/jack-audio-connection-kit/reference/html/mainpage_8dox.html
Xshare/jack-audio-connection-kit/reference/html/pages.html
Xshare/jack-audio-connection-kit/reference/html/porting-guide.html
Xshare/jack-audio-connection-kit/reference/html/porting_8dox.html
Xshare/jack-audio-connection-kit/reference/html/ringbuffer_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/ringbuffer_8h.html
Xshare/jack-audio-connection-kit/reference/html/simple__client_8c.html
Xshare/jack-audio-connection-kit/reference/html/statistics_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/statistics_8h.html
Xshare/jack-audio-connection-kit/reference/html/structjack__position__t.html
Xshare/jack-audio-connection-kit/reference/html/structjack__ringbuffer__data__t.html
Xshare/jack-audio-connection-kit/reference/html/structjack__ringbuffer__t.html
Xshare/jack-audio-connection-kit/reference/html/structjack__transport__info__t.html
Xshare/jack-audio-connection-kit/reference/html/structport__pair__t.html
Xshare/jack-audio-connection-kit/reference/html/thread_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/thread_8h.html
Xshare/jack-audio-connection-kit/reference/html/transport-design.html
Xshare/jack-audio-connection-kit/reference/html/transport_8dox.html
Xshare/jack-audio-connection-kit/reference/html/transport_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/transport_8h.html
Xshare/jack-audio-connection-kit/reference/html/types_8h-source.html
Xshare/jack-audio-connection-kit/reference/html/types_8h.html
X@dirrm share/jack-audio-connection-kit/reference/html
X@dirrm share/jack-audio-connection-kit/reference
X@dirrm share/jack-audio-connection-kit
X@dirrm lib/jack
X@dirrm include/jack
END-of-jack/pkg-plist
echo c - jack/files
mkdir -p jack/files > /dev/null 2>&1
echo x - jack/files/patch-drivers-oss-oss_driver.c
sed 's/^X//'
>jack/files/patch-drivers-oss-oss_driver.c <<
'END-of-jack/files/patch-drivers-oss-oss_driver.c'
X--- drivers/oss/oss_driver.c.orig	Sat May  1 10:53:47
2004
X+++ drivers/oss/oss_driver.c	Sat May  1 10:58:57 2004
X@@ -23,6 +23,7 @@
X 
X #include <config.h>
X 
X+#define __BSD_VISIBLE	1
X #ifdef USE_BARRIER
X /*
X  * POSIX conformance level should be globally
defined somewhere, possibly
END-of-jack/files/patch-drivers-oss-oss_driver.c
echo x - jack/files/patch-jack.h
sed 's/^X//' >jack/files/patch-jack.h <<
'END-of-jack/files/patch-jack.h'
X--- jack/types.h.org	Tue Mar  9 20:12:17 2004
X+++ jack/types.h	Tue Mar  9 20:12:22 2004
X@@ -22,6 +22,14 @@
X #define __jack_types_h__
X 
X #include <inttypes.h>
X+#ifndef PRIu32
X+#define        PRIi32          "i"     /* int32_t */
X+#define        PRIu32          "u"     /* uint32_t
*/
X+#define        PRIu64          "llu"    /* uint64_t
*/
X+#define        SCNu64          "llu"    /* uint64_t
*/
X+#define        PRId32          "d"     /* int32_t */
X+#define        PRIx64          "llx"    /* uint64_t
*/
X+#endif
X 
X typedef char    shm_name_t[32];
X typedef int32_t jack_shmsize_t;
END-of-jack/files/patch-jack.h
echo x - jack/files/patch-jack.pc.in
sed 's/^X//' >jack/files/patch-jack.pc.in <<
'END-of-jack/files/patch-jack.pc.in'
X--- jack.pc.in.orig	Thu Jun  5 03:21:36 2003
X+++ jack.pc.in	Sun Mar 14 22:49:44 2004
X@@ -6,5 +6,5 @@
X Name: jack
X Description: the Jack Audio Connection Kit: a
low-latency synchronous callback-based media server
X Version: @JACK_VERSION@
X-Libs: -L${libdir} -ljack -lpthread -ldl -lrt
X+Libs: -L${libdir} -ljack -lpthread
X Cflags: -I${includedir}
END-of-jack/files/patch-jack.pc.in
exit
Comment 2 Michael Nottebrock freebsd_committer 2005-10-11 13:18:04 UTC
Please submit port updates as patches (see 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html). 

You also might want to include a few details regarding the regressions in the 
lastest version (you seem to suggest there are some).
Comment 3 Marcus Alves Grando freebsd_committer 2005-10-11 21:04:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 4 Marcus Alves Grando freebsd_committer 2005-10-11 21:06:03 UTC
State Changed
From-To: open->feedback

Ask to send diff -u patches.
Comment 5 Marcus Alves Grando freebsd_committer 2005-10-11 21:08:26 UTC
Responsible Changed
From-To: mnag->freebsd-ports-bugs

Back to pool.
Comment 6 bitbucket63-it 2005-10-12 02:11:16 UTC
Oops my bad. I was following the "New Port"
instructions again.

As far as regression, the old version has the same
problems, and so it isn't any worse. I'm hoping to
tinker with it and see if I can get it work and wanted
an easy way to ensure I had the latest release.

Do I have to resubmit?

Jim
Comment 7 Michael Nottebrock freebsd_committer 2005-10-12 02:21:35 UTC
Attaching the diff to this PR will be sufficient. Please make sure you send it 
as an actual attachment, don't paste it into the mail body.
Comment 8 bitbucket63-it 2005-10-14 13:19:41 UTC
The output of diff -ruN.
Comment 9 Marcus Alves Grando freebsd_committer 2005-10-26 03:27:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 10 Marcus Alves Grando freebsd_committer 2005-10-26 13:05:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!